Bug 432083 - SE Linux Postfix policy dos not support forwarding mail
SE Linux Postfix policy dos not support forwarding mail
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 14:17 EST by Joe Nall
Modified: 2008-11-17 17:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:03:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Nall 2008-02-08 14:17:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
audit2allow </var/log/audit/audit.log

allow postfix_local_t unconfined_home_dir_t:dir search;

[root@mail ~]# rpm -qa | grep policy
policycoreutils-2.0.33-3.fc8
selinux-policy-3.0.8-81.fc8
checkpolicy-2.0.4-1.fc8
selinux-policy-targeted-3.0.8-81.fc8


Version-Release number of selected component (if applicable):
postfix can't read .forward file

How reproducible:
Always


Steps to Reproduce:
create .forward

Actual Results:
Mail is not forwarded.

Expected Results:


Additional info:
Comment 1 Joe Nall 2008-02-08 15:21:27 EST
This worked for me.

policy_module(localpolicy,1.0.1)

require {
        type unconfined_home_dir_t;
        type unconfined_home_t;
        type postfix_local_t;
}

read_files_pattern(postfix_local_t,unconfined_home_dir_t,unconfined_home_t)

Comment 2 Daniel Walsh 2008-02-11 17:49:56 EST
Fixed in selinux-policy-3.0.8-84.fc8
Comment 3 Daniel Walsh 2008-11-17 17:03:02 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.